#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#


%define rel 1

Name: analitza
Summary: Library that will let you add mathematical features to your program
Version: 16.12.3
Release: %mkrel %{rel}
Group: Sciences/Mathematics
License: GPLv2+ and LGPLv2 and GFDL
URL: https://projects.kde.org/projects/kde/kdeedu/analitza/
Source: http://download.kde.org/stable/%version/src/%{name}-%version.tar.xz

BuildRequires: kf5-macros
BuildRequires: libreadline-devel

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(Qt5Svg)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Qml)
BuildRequires:  pkgconfig(Qt5Quick)
BuildRequires:  pkgconfig(Qt5OpenGL)

%description
The analitza library will let you add mathematical features to your program.

%files
%_kf5_qmldir/org/kde/analitza
%_kf5_datadir/libanalitza

%if 0
#------------------------------------------------------------------------------
%package -n calgebra
Summary: Console mathematical calculator
Group: Sciences/Mathematics
Conflicts: kalgebra < 4.7.90

%description -n calgebra
Console interface for a mathematical calculator based content markup MathML
language.

%files -n calgebra
#%_kf5_bindir/calgebra

#-------------------------------------------------------------------------------
%package data
Summary: Data files for %{name}
Group: Sciences/Mathematics
BuildArch: noarch
%description data
This package provides data needed by the libanalitzaplot library

%files data
#%_kf5_appsdir/libanalitza/plots
%endif
#------------------------------------------------------------------------------

%define analitza_major 7
%define libanalitza %mklibname analitza %{analitza_major}

%package -n %libanalitza
Summary: Runtime library for %{name}
Group: System/Libraries

%description -n %libanalitza
The analitza library will let you add mathematical features to your program.
This pakage provide the runtime library for %{name}.

%files -n %libanalitza
%_kf5_libdir/libAnalitza.so.%{analitzagui_major}*

#------------------------------------------------------------------------------

%define analitzagui_major 7
%define libanalitzagui %mklibname analitzagui %{analitzagui_major}

%package -n %libanalitzagui
Summary: Runtime library for %{name}
Group: System/Libraries
%description -n %libanalitzagui
The analitza library will let you add mathematical features to your program.
This pakage provide the runtime library for %{name}.

%files -n %libanalitzagui
%_kf5_libdir/libAnalitzaGui.so.%{analitzagui_major}*

#-------------------------------------------------------------------------------

%define analitzaplot_major 7
%define libanalitzaplot %mklibname analitzaplot %{analitzaplot_major}

%package -n %libanalitzaplot
Summary: Runtime library for %{name}
Group: System/Libraries
%description -n %libanalitzaplot
The analitza library will let you add mathematical features to your program.
This pakage provide the runtime library for %{name}.

%files -n %libanalitzaplot
%_kf5_libdir/libAnalitzaPlot.so.%{analitzaplot_major}*

#-------------------------------------------------------------------------------

%define analitzawidgets_major 7
%define libanalitzawidgets %mklibname analitzawidgets %{analitzawidgets_major}

%package -n %libanalitzawidgets
Summary: Runtime library for %{name}
Group: System/Libraries
%description -n %libanalitzawidgets
The analitza library will let you add mathematical features to your program.
This pakage provide the runtime library for %{name}.

%files -n %libanalitzawidgets
%_kf5_libdir/libAnalitzaWidgets.so.%{analitzawidgets_major}*

#------------------------------------------------------------------------------
%define libanalitza_devel %mklibname %{name} -d

%package -n %libanalitza_devel
Summary: Devel stuff for %{name}
Group: Development/KDE and Qt
Provides: lib%{name}-devel = %version-%release
Provides: %name-devel = %version-%release
Requires: %libanalitza = %version-%release
Requires: %libanalitzagui = %version-%release
Requires: %libanalitzaplot =  %version-%release
Requires: %libanalitzawidgets =  %version-%release
Obsoletes: kalgebra-devel < 4.7.90

%description -n %libanalitza_devel
Files needed to build applications based on %{name}.

%files -n %libanalitza_devel
%_includedir/Analitza5
%_kf5_libdir/*.so
%_kf5_libdir/cmake/Analitza5

#------------------------------------------------------------------------------

%prep
%setup -q

%build
export LD=/usr/bin/ld.gold
%cmake_kf5
%make

%install
%makeinstall_std -C build


%changelog
* Wed Mar 08 2017 neoclust <neoclust> 16.12.3-1.mga6
+ Revision: 1089987
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1

* Sat Dec 24 2016 neoclust <neoclust> 16.12.0-1.mga6
+ Revision: 1076722
- New version 16.12.0

* Sun Dec 04 2016 neoclust <neoclust> 16.11.90-1.mga6
+ Revision: 1071939
- New version 16.11.90

* Tue Nov 15 2016 neoclust <neoclust> 16.08.3-1.mga6
+ Revision: 1067256
- New version 16.08.3

* Mon Oct 17 2016 neoclust <neoclust> 16.08.2-1.mga6
+ Revision: 1061315
- New version 16.08.2

* Thu Sep 08 2016 neoclust <neoclust> 16.08.1-1.mga6
+ Revision: 1050582
- New version 16.08.1

* Sat Aug 20 2016 neoclust <neoclust> 16.08.0-1.mga6
+ Revision: 1047210
- New version 16.08.0

* Sat Jul 09 2016 neoclust <neoclust> 16.04.3-1.mga6
+ Revision: 1039976
- New version 16.04.3
- New version 16.04.2

* Wed May 11 2016 neoclust <neoclust> 16.04.1-1.mga6
+ Revision: 1012467
- New version 16.04.1

* Fri Apr 22 2016 neoclust <neoclust> 16.04.0-1.mga6
+ Revision: 1004257
- New version 16.04.0

* Thu Mar 24 2016 neoclust <neoclust> 16.03.80-1.mga6
+ Revision: 994793
- New version 16.03.80

* Wed Mar 16 2016 neoclust <neoclust> 15.12.3-1.mga6
+ Revision: 991111
- New version 15.12.3

* Tue Mar 08 2016 neoclust <neoclust> 15.12.2-1.mga6
+ Revision: 987375
- New version 15.12.2

* Wed Jan 13 2016 neoclust <neoclust> 15.12.1-1.mga6
+ Revision: 922550
- New version 15.12.1

* Sat Dec 19 2015 neoclust <neoclust> 15.12.0-1.mga6
+ Revision: 911889
- New version 15.12.0

* Tue Nov 24 2015 neoclust <neoclust> 15.11.80-1.mga6
+ Revision: 905709
- New version 15.11.80

* Tue Nov 10 2015 neoclust <neoclust> 15.08.3-1.mga6
+ Revision: 901087
- New version 15.08.3

* Wed Oct 14 2015 neoclust <neoclust> 15.08.2-1.mga6
+ Revision: 890559
- New version 15.08.2

* Fri Sep 18 2015 neoclust <neoclust> 15.08.1-1.mga6
+ Revision: 880380
- New version 15.08.1

* Wed Aug 19 2015 neoclust <neoclust> 15.08.0-1.mga6
+ Revision: 865898
- New version 15.08.0

* Wed Aug 12 2015 neoclust <neoclust> 15.07.90-2.mga6
+ Revision: 863967
- Plasma Mass Rebuild - Rebuild for new Plasma

* Sun Aug 09 2015 neoclust <neoclust> 15.07.90-1.mga6
+ Revision: 861711
- New version 15.07.90

* Thu Jul 30 2015 neoclust <neoclust> 15.07.80-1.mga6
+ Revision: 859210
- New version 15.07.80
- New version 15.07.80
- New version 15.08.0

* Thu Jul 16 2015 neoclust <neoclust> 15.04.3-2.mga6
+ Revision: 854535
- Remove unexisting package

* Sun Jul 05 2015 neoclust <neoclust> 15.04.3-1.mga6
+ Revision: 851731
- New version kf5 based

* Wed Dec 03 2014 lmenut <lmenut> 4.14.3-1.mga5
+ Revision: 800530
- Update to KDE SC 4.14.3

* Sat Oct 18 2014 lmenut <lmenut> 4.14.2-1.mga5
+ Revision: 787612
- Update to KDE SC 4.14.2

* Wed Oct 15 2014 umeabot <umeabot> 4.14.1-2.mga5
+ Revision: 743998
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 lmenut <lmenut> 4.14.1-1.mga5
+ Revision: 734478
- Update to KDE SC 4.14.1

* Tue Sep 16 2014 umeabot <umeabot> 4.14.0-2.mga5
+ Revision: 677754
- Mageia 5 Mass Rebuild

* Mon Aug 25 2014 lmenut <lmenut> 4.14.0-1.mga5
+ Revision: 667416
- Update to KDE SC 4.14.0
- Use official URL http://download.kde.org for Source

* Fri Aug 15 2014 lmenut <lmenut> 4.13.97-1.mga5
+ Revision: 662927
- Update to KDE SC 4.13.97 aka KDE SC 4.14 RC

* Sat Jul 26 2014 lmenut <lmenut> 4.13.95-1.mga5
+ Revision: 656605
- Update to KDE SC 4.13.95 aka KDE SC 4.14 Beta3

* Sat Jul 19 2014 lmenut <lmenut> 4.13.90-1.mga5
+ Revision: 653791
- Update to KDE SC 4.13.90 aka KDE SC 4.14 Beta2

* Mon Jul 14 2014 lmenut <lmenut> 4.13.80-1.mga5
+ Revision: 651896
- Update to KDE SC 4.13.80 aka KDE SC 4.14 Beta1

* Sun Jun 15 2014 lmenut <lmenut> 4.13.2-1.mga5
+ Revision: 636665
- Update to KDE SC 4.13.2

* Sat May 24 2014 lmenut <lmenut> 4.13.1-1.mga5
+ Revision: 625432
- Update to KDE SC 4.13.1

* Thu Apr 17 2014 lmenut <lmenut> 4.13.0-1.mga5
+ Revision: 615505
- Update to KDE SC 4.13.0

* Sat Mar 29 2014 lmenut <lmenut> 4.12.97-1.mga5
+ Revision: 609325
- Update to KDE SC 4.12.97 aka KDE SC 4.13 RC

* Sun Mar 23 2014 lmenut <lmenut> 4.12.95-1.mga5
+ Revision: 606766
- Update to KDE SC 4.12.95 aka KDE SC 4.13 Beta3

* Thu Mar 13 2014 neoclust <neoclust> 4.12.90-1.mga5
+ Revision: 603264
- New version 4.12.80

* Thu Mar 06 2014 neoclust <neoclust> 4.12.80-1.mga5
+ Revision: 600606
- New version 4.12.3
- New version 4.12.3

* Sat Feb 15 2014 neoclust <neoclust> 4.12.2-2.mga5
+ Revision: 591872
- Own plot dir

* Sat Feb 15 2014 neoclust <neoclust> 4.12.2-1.mga5
+ Revision: 591546
- New version 4.12.2

* Tue Feb 04 2014 neoclust <neoclust> 4.11.5-1.mga5
+ Revision: 580723
- Update tarball to KDE SC 4.11.5

* Wed Dec 04 2013 lmenut <lmenut> 4.11.4-1.mga4
+ Revision: 554927
- Update tarball to KDE SC 4.11.4

* Thu Nov 14 2013 lmenut <lmenut> 4.11.3-1.mga4
+ Revision: 551181
- Update tarball to KDE SC 4.11.3

* Mon Oct 21 2013 umeabot <umeabot> 4.11.2-2.mga4
+ Revision: 540013
- Mageia 4 Mass Rebuild

* Thu Oct 03 2013 mikala <mikala> 4.11.2-1.mga4
+ Revision: 490713
- Update tarball to KDE SC 4.11.2

* Mon Sep 09 2013 mikala <mikala> 4.11.1-1.mga4
+ Revision: 476807
- Update tarball to KDE SC 4.11.1

* Sat Aug 10 2013 mikala <mikala> 4.11.0-1.mga4
+ Revision: 465160
- Update tarball to KDE SC 4.11.0

* Sat Jul 27 2013 lmenut <lmenut> 4.10.97-1.mga4
+ Revision: 458841
- Update tarball to KDE SC 4.10.97 aka KDE SC 4.11 RC2

* Wed Jul 17 2013 lmenut <lmenut> 4.10.95-1.mga4
+ Revision: 455232
- Update tarball to KDE SC 4.10.95 aka KDE SC 4.11 RC1

* Fri Jun 28 2013 mikala <mikala> 4.10.90-1.mga4
+ Revision: 447916
- Update tarball to KDE SC 4.10.90 aka KDE SC 4.11 Beta 2
- Bump major
- Update tarball to KDE SC 4.10.80 aka KDE SC 4.11 Beta 1

* Sun Jun 02 2013 mikala <mikala> 4.10.4-1.mga4
+ Revision: 435272
- Update tarball to KDE SC 4.10.4

* Sun May 26 2013 mikala <mikala> 4.10.3-1.mga4
+ Revision: 428384
- Update tarball to KDE SC 4.10.3

* Tue Apr 02 2013 mikala <mikala> 4.10.2-1.mga3
+ Revision: 407200
- Update tarball to KDE SC 4.10.2

* Sat Mar 09 2013 lmenut <lmenut> 4.10.1-1.mga3
+ Revision: 401828
- Update tarball to KDE SC 4.10.1

* Mon Feb 04 2013 mikala <mikala> 4.10.0-1.mga3
+ Revision: 394373
- Update tarball to KDE SC 4.10.0
- Update tarball to KDE SC 4.9.98 aka KDE SC 4.10 RC3

* Fri Jan 11 2013 umeabot <umeabot> 4.9.97-2.mga3
+ Revision: 345534
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 mikala <mikala> 4.9.97-1.mga3
+ Revision: 339436
- Update tarball to KDE SC 4.9.97 aka KDE SC 4.10 RC2

* Mon Dec 24 2012 mikala <mikala> 4.9.95-1.mga3
+ Revision: 334527
- Update tarball to KDE SC 4.9.95 aka KDE SC 4.10 RC1

* Wed Dec 05 2012 mikala <mikala> 4.9.90-1.mga3
+ Revision: 326732
- Update tarball to KDE SC 4.9.90 aka KDE SC 4.10 Beta2
- Fix files list

* Wed Nov 21 2012 mikala <mikala> 4.9.80-1.mga3
+ Revision: 320289
- Update tarball to KDE SC 4.9.80 aka KDE SC 4.10 Beta1
- Disable  -DKDE4_ENABLE_FINAL
- Fix files list

* Wed Nov 07 2012 mikala <mikala> 4.9.3-1.mga3
+ Revision: 316173
- Update tarball to KDE SC 4.9.3

* Tue Oct 02 2012 mikala <mikala> 4.9.2-1.mga3
+ Revision: 301944
- Update tarball to KDE SC 4.9.2

* Sat Sep 08 2012 mikala <mikala> 4.9.1-1.mga3
+ Revision: 289738
- Update tarball to KDE SC 4.9.1

* Wed Aug 01 2012 mikala <mikala> 4.9.0-1.mga3
+ Revision: 277025
- Silent: Fix Source URL
- Update tarball to KDE 4.9.0
- Update License Tag

* Thu Jul 12 2012 fwang <fwang> 4.8.97-1.mga3
+ Revision: 269639
- new version 4.8.97

* Sun Jul 01 2012 shlomif <shlomif> 4.8.95-1.mga3
+ Revision: 265920
- New version - 4.8.95

* Fri Jun 08 2012 fwang <fwang> 4.8.4-1.mga3
+ Revision: 257229
- new version 4.8.4

* Wed Apr 04 2012 fwang <fwang> 4.8.2-1.mga2
+ Revision: 228355
- new version 4.8.2

* Thu Mar 08 2012 mikala <mikala> 4.8.1-1.mga2
+ Revision: 221456
- New upstream tarball

* Thu Jan 19 2012 mikala <mikala> 4.8.0-1.mga2
+ Revision: 198228
- Updating tarball to KDE 4.8.0

* Thu Jan 05 2012 mikala <mikala> 4.7.97-1.mga2
+ Revision: 190953
- Update tarball to KDE SC 4.7.97

* Thu Dec 22 2011 mikala <mikala> 4.7.95-1.mga2
+ Revision: 186042
- Update tarball to KDE SC 4.7.95
- fix group

* Wed Dec 14 2011 mikala <mikala> 4.7.90-1.mga2
+ Revision: 181512
- Add conflicts against kalgebra
- imported package analitza

